Bug 222276 - Cannot subscribe to other user's calendars
Cannot subscribe to other user's calendars
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-exchange (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 06:34 EST by Stuart Campbell
Modified: 2011-06-27 09:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:54:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 432885 None None None Never

  None (edit)
Description Stuart Campbell 2007-01-11 06:34:50 EST
Description of problem:
I cannot access other user's calendars (or other folders) using evolution.  But,
if I schedule a meeting and add a person I can see their free/busy info.

Version-Release number of selected component (if applicable):

evolution-connector-2.8.2-2.fc6

Other evolution packages that are installed...

evolution-sharp-0.11.1-10.fc6
evolution-remove-duplicates-0.0.2-3.fc6
evolution-data-server-1.8.2-1.fc6
evolution-devel-2.8.2.1-3.fc6
evolution-data-server-devel-1.8.2-1.fc6
evolution-bogofilter-0.2.0-3.fc6
evolution-webcal-2.7.1-6
evolution-2.8.2.1-3.fc6


How reproducible:

Everytime.

Steps to Reproduce:
1.  Start evolution and create exchange account
2.  CTRL-3 (to switch the calendar view)
3.  File->Subscribe to other user's calendar
3.  Search for the person in the Global address book and select them
4.  Click OK
  
Actual results:

Get a dialog box that just says "Generic Error"

Expected results:

To open Calendar

Additional info:

My account settings are:
username: sic78@fed.cclrc.ac.uk
OWA URL: https://owa.rl.ac.uk/exchange/
Global Catalog: fed.cclrc.ac.uk

I have run evolution and evolution-exchange-storage with E2K_DEBUG=4 defined and
the output I get whilst trying to open the calendar is...

GC: looking up info for D.F.Parker@rl.ac.uk
GC: dn = CN=dfp64,OU=OBU,DC=fed,DC=cclrc,DC=ac,DC=uk

GC: displayName Parker, DF (Dave)  - CICT
GC: mail D.F.Parker@rl.ac.uk
GC: mailNickname dfp64
GC: homeMTA CN=Microsoft MTA,CN=EXCHANGE11,CN=Servers,CN=RAL,CN=Administrative
Groups,CN=CCLRC,CN=Microsoft
Exchange,CN=Services,CN=Configuration,DC=fed,DC=cclrc,DC=ac,DC=uk
GC:   Finding hostname for CN=EXCHANGE11,CN=Servers,CN=RAL,CN=Administrative
Groups,CN=CCLRC,CN=Microsoft
Exchange,CN=Services,CN=Configuration,DC=fed,DC=cclrc,DC=ac,DC=uk
GC:   exchange11.fed.cclrc.ac.uk
GC: legacyExchangeDN /o=CCLRC/ou=RAL/cn=Recipients/cn=DaveP

PROPFIND /exchange/sic78/NON_IPM_SUBTREE/Freebusy Data/LocalFreebusy.EML HTTP/1.1
E2k-Debug: 0xaa3ddf8 @ 1168448328
Host: owa.rl.ac.uk
Depth: 0
Brief: t
User-Agent: Evolution/1.8.2
Cookie: sessionid=cc7f83e9-f034-4b25-a9aa-a43777727a16;
cadata="6DYmMTtUDwth7p+K3S2K7EjhHpJ4yKYpZhybgp7LvfUInUPTCFgpINpEFhGnF8uzxhAsYz2u5lW/14r4Ho+hqYEFmJWvExxhY"
Content-Type: text/xml

<?xml version="1.0" encoding="utf-8" ?><D:propfind xmlns:D="DAV:"
xmlns:b="http://schemas.microsoft.com/mapi/proptag/">
<D:prop>
<b:x68451102/><b:x686b1003/>
</D:prop>
</D:propfind>

207 Multi-Status
E2k-Debug: 0xaa3ddf8 @ 1168448329
MS-WebStorage: 6.5.7638
MS-WebStorage: 6.5.7638
Date: Wed, 10 Jan 2007 16:55:13 GMT
Accept-Ranges: rows
X-Powered-By: ASP.NET
X-Powered-By: ASP.NET
Server: Microsoft-IIS/6.0
Content-Length: 319
Content-Type: text/xml

<?xml version="1.0"?><a:multistatus
xmlns:b="urn:uuid:c2f41010-65b3-11d1-a29f-00aa00c14882/" xmlns:c="xml:"
xmlns:d="http://schemas.microsoft.com/mapi/proptag/"
xmlns:a="DAV:"><a:response><a:href>https://owa.rl.ac.uk/exchange/sic78/NON_IPM_SUBTREE/Freebusy%20Data/LocalFreebusy.EML</a:href></a:response></a:multistatus>

My username is sic78 and the username of the person who's calendar I am trying
to look at is dfp64.

Many Thanks 
Stu
Comment 1 Matthew Barnes 2007-10-02 14:16:30 EDT
Is this problem still present on Fedora 8 Test 2 or later?
Comment 2 Stuart Campbell 2007-11-27 05:38:46 EST
Yes, still happens on Fedora 8 and RHEL 5.1
Comment 3 Matthew Barnes 2007-12-11 10:23:25 EST
Updating version and component.
Comment 4 Peter Robinson 2008-02-15 08:14:05 EST
I'm seeing this still on Fedora 8 with the following evolution versions.
Exchange server is 2003 if that makes a difference.

evolution-exchange-2.12.3-1.fc8
evolution-data-server-devel-1.12.3-2.fc8
evolution-webcal-2.12.0-1.fc8
evolution-help-2.12.3-1.fc8
evolution-2.12.3-1.fc8
evolution-data-server-1.12.3-2.fc8
Comment 5 Rolf Linder 2008-02-28 05:56:24 EST
I'm too having this problem....

I'm working on a updated Fedora 8 system...
Comment 6 Stuart Campbell 2008-02-28 07:57:54 EST
I have had some limited success doing the following...

1) First start evolution and enter you details, e.g. 

Username: domain\user
OWA URL: http://exchangeserver.domain/exchange

Then proceed and let it open your mailbox, then goto Edit->Preferences and edit
your OWA URL to be

exchangeserver.domain

i.e. delete the "http://" and the "/exchange" - but do not click on
"Authenticate" just click the "OK" button.

I then can open some people's calendars...but not all.
Comment 7 Peter Robinson 2008-04-30 12:20:43 EDT
Still seeing the same issue in Fedora9/rawhide

[root@euuklonw7300b1n ~]# rpm -qa| grep evol
evolution-webcal-2.21.92-1.fc9.x86_64
evolution-data-server-doc-2.22.1-1.fc9.x86_64
evolution-2.22.1-1.fc9.x86_64
evolution-data-server-devel-2.22.1-1.fc9.x86_64
evolution-exchange-2.22.1-1.fc9.x86_64
evolution-data-server-2.22.1-1.fc9.x86_64
evolution-help-2.22.1-1.fc9.x86_64
Comment 8 Peter Robinson 2008-06-09 06:27:08 EDT
Updating to Fedora9 as its still an issue. Is there an upstream tracking bug for
this issue?

evolution-webcal-2.21.92-1.fc9.x86_64
evolution-data-server-2.22.2-1.fc9.x86_64
evolution-data-server-devel-2.22.2-1.fc9.x86_64
evolution-data-server-doc-2.22.2-1.fc9.x86_64
evolution-exchange-2.22.2-1.fc9.x86_64
evolution-2.22.2-2.fc9.x86_64
evolution-help-2.22.2-2.fc9.x86_64
Comment 9 Matthew Barnes 2008-06-09 10:51:49 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=432885 looks related.

I haven't reviewed the comments in detail but there might be some clues there. 
Looks like a patch was committed some time ago but the bug remains open.
Comment 10 Peter Robinson 2008-06-09 11:17:26 EDT
Looks very similar to me too.
Comment 11 Peter Robinson 2008-11-05 07:14:58 EST
I'm still seeing this on Fedora 10/rawhide.

# rpm -qa | grep evolution
evolution-data-server-2.24.1-2.fc10.x86_64
evolution-help-2.24.1-2.fc10.x86_64
evolution-exchange-2.24.1-2.fc10.x86_64
evolution-2.24.1-2.fc10.x86_64
evolution-webcal-2.23.91-1.fc10.x86_64
evolution-perl-2.24.1-2.fc10.x86_64
Comment 12 Bug Zapper 2009-06-09 18:24:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Peter Robinson 2009-06-22 10:51:44 EDT
Updating this to Fedora 11 as I'm still seeing this error on F11.

$ rpm -qa | grep evolution
evolution-data-server-doc-2.26.2-1.fc11.noarch
evolution-exchange-2.26.2-1.fc11.x86_64
evolution-mapi-0.26.1-1.fc11.x86_64
evolution-debuginfo-2.26.1-2.fc11.x86_64
evolution-2.26.2-1.fc11.x86_64
evolution-devel-2.26.2-1.fc11.x86_64
evolution-data-server-debuginfo-2.26.1-1.fc11.x86_64
evolution-data-server-2.26.2-1.fc11.x86_64
evolution-data-server-devel-2.26.2-1.fc11.x86_64
Comment 14 Matthew Saltzman 2009-07-07 20:23:36 EDT
Confirmed, still an issue in evolution-2.26.3-1.fc11.x86_64.
Comment 15 Peter Robinson 2009-10-20 04:54:12 EDT
Updating to rawhide as it still doesn't work with 2.28.0

evolution-mapi-0.28.0-1.fc12.x86_64
evolution-conduits-2.28.0-2.fc12.x86_64
evolution-exchange-2.28.0-1.fc12.x86_64
evolution-data-server-2.28.0-1.fc12.x86_64
evolution-debuginfo-2.28.0-2.fc12.x86_64
evolution-2.28.0-2.fc12.x86_64
evolution-devel-2.28.0-2.fc12.x86_64
evolution-data-server-doc-2.28.0-1.fc12.noarch
evolution-data-server-devel-2.28.0-1.fc12.x86_64
evolution-data-server-debuginfo-2.28.0-1.fc12.x86_64
Comment 16 Bug Zapper 2009-11-16 02:54:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Piergiorgio Sartor 2010-08-13 16:37:11 EDT
Hi all,

it seems that F13, evolution 2.30.2, has the very same issue.

For me, there are two different error results. I do not know what causes the difference.

Sometimes, I get the "Generic error" and in the terminal output "LDAP authentication failure". This is already unclear by its own.

Sometimes, I get "Folder does not exist". This is quite incorrect, since the "Calendar" folder of the other user exists and it is readable. In this case no terminal output is produced.

BTW, does the "export E2K_DEBUG=4" works (with 2.30.2)? Does not seem to increase the verbosity of evolution.

One final note.
Apart for the general instability of evolution, this is the last missing piece to complete migration from Outlook.
It is quite a surprise such an issue is open since 2007...

Thanks for any support,

bye,

pg
Comment 18 Bug Zapper 2010-11-04 08:13:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Stuart Campbell 2010-11-08 11:00:35 EST
I know that it is still an issue in Fedora 13, I'm not sure about 14.  So I will update the version to 13 for now.
Comment 20 Bug Zapper 2011-06-02 14:42:07 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Matthew Saltzman 2011-06-02 14:53:35 EDT
Please update to Fedora 14.  Thanks.
Comment 22 Bug Zapper 2011-06-27 09:54:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.